summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
Diffstat (limited to 'system')
-rw-r--r--system/tokyotyrant/README5
-rw-r--r--system/tokyotyrant/slack-desc19
-rw-r--r--system/tokyotyrant/tokyotyrant.SlackBuild80
-rw-r--r--system/tokyotyrant/tokyotyrant.info10
4 files changed, 114 insertions, 0 deletions
diff --git a/system/tokyotyrant/README b/system/tokyotyrant/README
new file mode 100644
index 0000000000..b6dd3affa3
--- /dev/null
+++ b/system/tokyotyrant/README
@@ -0,0 +1,5 @@
+Tokyo Tyrant provides network-based access to Tokyo Cabinet.
+It is composed of the server process managing a database and
+its access library for client applications.
+
+This requires tokyocabinet.
diff --git a/system/tokyotyrant/slack-desc b/system/tokyotyrant/slack-desc
new file mode 100644
index 0000000000..374d1f4aa1
--- /dev/null
+++ b/system/tokyotyrant/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+tokyotyrant: Tokyo Tyrant (Lightweight database server)
+tokyotyrant:
+tokyotyrant: Tokyo Tyrant provides network-based access to Tokyo Cabinet.
+tokyotyrant: It is composed of the server process managing a database and
+tokyotyrant: its access library for client applications.
+tokyotyrant:
+tokyotyrant: http://1978th.net/tokyotyrant/
+tokyotyrant:
+tokyotyrant:
+tokyotyrant:
+tokyotyrant:
diff --git a/system/tokyotyrant/tokyotyrant.SlackBuild b/system/tokyotyrant/tokyotyrant.SlackBuild
new file mode 100644
index 0000000000..32d673cd6c
--- /dev/null
+++ b/system/tokyotyrant/tokyotyrant.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for Tokyo Tyrant
+# Written by kuroi_kenshi <kuroi_kenshi96@yahoo.com>
+
+PRGNAM=tokyotyrant
+VERSION=${VERSION:-1.1.39}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Upstream expects the docs in /usr/share/tokyotyrant, so...
+# We'll add some extras and make a symlink for our users
+cp -a README example $PKG/usr/share/tokyotyrant
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/share/tokyotyrant/$PRGNAM.SlackBuild
+mkdir -p $PKG/usr/doc
+( cd $PKG/usr/doc ; ln -s ../share/tokyotyrant $PRGNAM-$VERSION )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/tokyotyrant/tokyotyrant.info b/system/tokyotyrant/tokyotyrant.info
new file mode 100644
index 0000000000..3f1f9f80d9
--- /dev/null
+++ b/system/tokyotyrant/tokyotyrant.info
@@ -0,0 +1,10 @@
+PRGNAM="tokyotyrant"
+VERSION="1.1.39"
+HOMEPAGE="http://1978th.net/tokyotyrant/"
+DOWNLOAD="http://1978th.net/tokyotyrant/tokyotyrant-1.1.39.tar.gz"
+MD5SUM="7bc2b0b909d3132b3d994755b3516f24"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kuroi Kenshi"
+EMAIL="kuroi_kenshi96@yahoo.com"
+APPROVED="rworkman"